Ipelib: IpeLatex class Reference

Main Page | Modules | Class Hierarchy | Class List | Class Members

# IpeLatex Class Reference

Object that converts latex source to PDF format. More...

List of all members.

## Public Member Functions

- IpeLatex ()
- ~IpeLatex ()
- int ScanPage (IpePage *page)
- int CreateLatexSource (IpeStream &stream, IpeString preamble, const IpeStyleSheet *sheet)
- bool ReadPdf (IpeDataSource &source)
- bool UpdateTextObjects ()
- IpeFontPool * TakeFontPool ()

## Friends

- class TextCollectingVisitor

## Detailed Description

Object that converts latex source to PDF format.

This object is responsible for creating the PDF representation of text objects.

## Constructor & Destructor Documentation

IpeLatex::IpeLatex | ( |  | ) |

| Create a converter object.

IpeLatex::~IpeLatex | ( |  | ) |

| Destructor.

## Member Function Documentation

int IpeLatex::ScanPage | ( | IpePage * | page | ) |

| Scan a page and insert all text objects into IpeLatex's list. Returns total number of text objects found so far.

int IpeLatex::CreateLatexSource | ( | IpeStream & | stream,
|  | IpeString | preamble,
|  | const IpeStyleSheet * | sheet
| ) |

| Create a Latex source file with all the text objects collected before. The client should have prepared a directory for the Pdflatex run, and pass the name of the Latex source file to be written by IpeLatex. Returns the number of text objects that did not yet have an XForm, or a negative error code.

bool IpeLatex::ReadPdf | ( | IpeDataSource & | source | ) |

| Read the PDF file created by Pdflatex. Must have performed the call to Pdflatex, and pass the name of the resulting output file.

bool IpeLatex::UpdateTextObjects | ( |  | ) |

| Notify all text objects about their updated PDF code. Returns true if successful.

IpeFontPool * IpeLatex::TakeFontPool | ( |  | ) |

| Return the newly created font pool and pass ownership of pool to caller.

The documentation for this class was generated from the following files:

- ipelatex.h
- ipelatex.cpp